/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.action;

import junit.framework.TestCase;

public class ForwardDefNotFoundRuntimeExceptionTest extends TestCase {

	public void testNormal() {
		assertNull(new ForwardDefNotFoundRuntimeException(null).getReturnedObject());
		assertEquals("a", new ForwardDefNotFoundRuntimeException("a").getReturnedObject());
		assertEquals(String.class, new ForwardDefNotFoundRuntimeException(String.class).getReturnedObject());
		{
			final Exception e = new ArrayIndexOutOfBoundsException();
			assertEquals(e, new ForwardDefNotFoundRuntimeException(e).getReturnedObject());
		}
	}
}
